This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 489924

Summary: Screen frozen on enabling desktop effects after Fast User Switch
Product: [Fedora] Fedora Reporter: Saikat Guha <sg266>
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 11CC: ajax, awilliam, xgl-maint
Target Milestone: ---Flags: mcepl: needinfo? (sg266)
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 07:27:20 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Xorg.0.log
none
/var/log/messages
none
~/.xsession-errors none

Description Saikat Guha 2009-03-12 11:20:26 EDT
Description of problem:
While testing https://fedoraproject.org/wiki/QA:Testcase_intelvideo_fastuserswitch, screen freezes when enabling desktop effects after a fast user switch.

dmesg shows kernel bug_on and warn_on and all sorts of scary shit.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.6.0-14.fc11.i586

How reproducible:
Always

Steps to Reproduce:
1. Perform fast user switch
2. Enable desktop effects
  
Actual results:
Screen frozen

Expected results:
Desktop effect is enabled and user-switching works

Additional info:
Test https://fedoraproject.org/wiki/QA:Testcase_intelvideo_fastuserswitch

Smolts:
http://www.smolts.org/client/show/pub_8723ef2a-0781-4aa9-a49c-f20b18645cfc

Attached:
/var/log/messages 
/var/log/Xorg.0.log
.xsession-errors (on the switched user that enabled desktop effects)

Packages:
xorg-x11-drv-intel-2.6.0-14.fc11.i586
glibc-2.9.90-8.1.i686
hwdata-0.222-2.fc11.noarch
kernel-2.6.29-0.218.rc7.git2.fc11.i586
libdrm-2.4.5-0.fc11.i586
libpciaccess-0.10.3-6.fc11.i586
libXext-1.0.99.1-2.fc11.i586
libXv-1.0.4-2.fc11.i586
libXvMC-1.0.4-6.fc11.i586
xorg-x11-server-Xorg-1.6.0-9.fc11.i586
Comment 1 Saikat Guha 2009-03-12 11:20:51 EDT
Created attachment 334949 [details]
Xorg.0.log
Comment 2 Saikat Guha 2009-03-12 11:22:23 EDT
Created attachment 334950 [details]
/var/log/messages

Mar 12 11:02:35 seshat kernel: i915 0000:00:02.0: power state changed by ACPI to D0
Mar 12 11:02:35 seshat kernel: i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
Mar 12 11:02:35 seshat kernel: i2c-adapter i2c-1: unable to read EDID block.
Mar 12 11:02:35 seshat kernel: i915 0000:00:02.0: LVDS-1: no EDID data
Mar 12 11:02:35 seshat kernel: i2c-adapter i2c-0: unable to read EDID block.
Mar 12 11:02:35 seshat kernel: i915 0000:00:02.0: VGA-1: no EDID data
Mar 12 11:02:35 seshat kernel: i2c-adapter i2c-1: unable to read EDID block.
Mar 12 11:02:35 seshat kernel: i915 0000:00:02.0: LVDS-1: no EDID data


Mar 12 11:03:02 seshat kernel: [ INFO: possible circular locking dependency detected ]
Mar 12 11:03:02 seshat kernel: 2.6.29-0.218.rc7.git2.fc11.i586 #1
Mar 12 11:03:02 seshat kernel: -------------------------------------------------------
Mar 12 11:03:02 seshat kernel: Xorg/2691 is trying to acquire lock:
Mar 12 11:03:02 seshat kernel: (&mm->mmap_sem){----}, at: [<c0491247>] might_fault+0x48/0x85
Mar 12 11:03:02 seshat kernel:
Mar 12 11:03:02 seshat kernel: but task is already holding lock:
Mar 12 11:03:02 seshat kernel: (&dev->struct_mutex){--..}, at: [<f7f08a17>] i915_gem_execbuffer+0xd7/0xa21 [i915]
Mar 12 11:03:02 seshat kernel:
Mar 12 11:03:02 seshat kernel: which lock already depends on the new lock.
Mar 12 11:03:02 seshat kernel:
Mar 12 11:03:02 seshat kernel:
Mar 12 11:03:02 seshat kernel: the existing dependency chain (in reverse order) is:
Mar 12 11:03:02 seshat kernel:
Mar 12 11:03:02 seshat kernel: -> #1 (&dev->struct_mutex){--..}:
Mar 12 11:03:02 seshat kernel:       [<c0450c34>] __lock_acquire+0x970/0xace
Mar 12 11:03:02 seshat kernel:       [<c0450ded>] lock_acquire+0x5b/0x81
Mar 12 11:03:02 seshat kernel:       [<c06efbc4>] __mutex_lock_common+0xdd/0x338
Mar 12 11:03:02 seshat kernel:       [<c06efec6>] mutex_lock_nested+0x33/0x3b
Mar 12 11:03:02 seshat kernel:       [<f7d86585>] drm_gem_mmap+0x36/0xf7 [drm]
Mar 12 11:03:02 seshat kernel:       [<c0497887>] mmap_region+0x243/0x3cb
Mar 12 11:03:02 seshat kernel:       [<c0497c61>] do_mmap_pgoff+0x252/0x2a2
Mar 12 11:03:02 seshat kernel:       [<c0407134>] sys_mmap2+0x5f/0x80
Mar 12 11:03:02 seshat kernel:       [<c0403f92>] syscall_call+0x7/0xb
Mar 12 11:03:02 seshat kernel:       [<ffffffff>] 0xffffffff
Mar 12 11:03:02 seshat kernel:
Mar 12 11:03:02 seshat kernel: -> #0 (&mm->mmap_sem){----}:
Mar 12 11:03:02 seshat kernel:       [<c0450b01>] __lock_acquire+0x83d/0xace
Mar 12 11:03:02 seshat kernel:       [<c0450ded>] lock_acquire+0x5b/0x81
Mar 12 11:03:02 seshat kernel:       [<c0491264>] might_fault+0x65/0x85
Mar 12 11:03:02 seshat kernel:       [<c0543a43>] copy_from_user+0x32/0x119
Mar 12 11:03:02 seshat kernel:       [<f7f08b69>] i915_gem_execbuffer+0x229/0xa21 [i915]
Mar 12 11:03:02 seshat kernel:       [<f7d856d7>] drm_ioctl+0x1b7/0x236 [drm]
Mar 12 11:03:02 seshat kernel:       [<c04b46e0>] vfs_ioctl+0x5a/0x74
Mar 12 11:03:02 seshat kernel:       [<c04b4c88>] do_vfs_ioctl+0x48b/0x4c9
Mar 12 11:03:02 seshat kernel:       [<c04b4d0c>] sys_ioctl+0x46/0x66
Mar 12 11:03:02 seshat kernel:       [<c0403f92>] syscall_call+0x7/0xb
Mar 12 11:03:02 seshat kernel:       [<ffffffff>] 0xffffffff
Mar 12 11:03:02 seshat kernel:
Mar 12 11:03:02 seshat kernel: other info that might help us debug this:
Mar 12 11:03:02 seshat kernel:
Mar 12 11:03:02 seshat kernel: 1 lock held by Xorg/2691:
Mar 12 11:03:02 seshat kernel: #0:  (&dev->struct_mutex){--..}, at: [<f7f08a17>] i915_gem_execbuffer+0xd7/0xa21 [i915]
Mar 12 11:03:02 seshat kernel:
Mar 12 11:03:02 seshat kernel: stack backtrace:
Mar 12 11:03:02 seshat kernel: Pid: 2691, comm: Xorg Not tainted 2.6.29-0.218.rc7.git2.fc11.i586 #1
Mar 12 11:03:02 seshat kernel: Call Trace:
Mar 12 11:03:02 seshat kernel: [<c06eea37>] ? printk+0x14/0x1d
Mar 12 11:03:02 seshat kernel: [<c04500af>] print_circular_bug_tail+0x5d/0x68
Mar 12 11:03:02 seshat kernel: [<c0450b01>] __lock_acquire+0x83d/0xace
Mar 12 11:03:02 seshat kernel: [<c06f0ee7>] ? _spin_unlock+0x22/0x25
Mar 12 11:03:02 seshat kernel: [<c0491247>] ? might_fault+0x48/0x85
Mar 12 11:03:02 seshat kernel: [<c0450ded>] lock_acquire+0x5b/0x81
Mar 12 11:03:02 seshat kernel: [<c0491247>] ? might_fault+0x48/0x85
Mar 12 11:03:02 seshat kernel: [<c0491264>] might_fault+0x65/0x85
Mar 12 11:03:02 seshat kernel: [<c0491247>] ? might_fault+0x48/0x85
Mar 12 11:03:02 seshat kernel: [<c0543a43>] copy_from_user+0x32/0x119
Mar 12 11:03:02 seshat kernel: [<f7f08b69>] i915_gem_execbuffer+0x229/0xa21 [i915]
Mar 12 11:03:02 seshat kernel: [<c044e61a>] ? lock_release_holdtime+0x2b/0x123
Mar 12 11:03:02 seshat kernel: [<c0491282>] ? might_fault+0x83/0x85
Mar 12 11:03:02 seshat kernel: [<c0543a43>] ? copy_from_user+0x32/0x119
Mar 12 11:03:02 seshat kernel: [<f7d856d7>] drm_ioctl+0x1b7/0x236 [drm]
Mar 12 11:03:02 seshat kernel: [<f7f08940>] ? i915_gem_execbuffer+0x0/0xa21 [i915]
Mar 12 11:03:02 seshat kernel: [<c04b46e0>] vfs_ioctl+0x5a/0x74
Mar 12 11:03:02 seshat kernel: [<c04b4c88>] do_vfs_ioctl+0x48b/0x4c9
Mar 12 11:03:02 seshat kernel: [<c046ddb1>] ? audit_syscall_entry+0x16b/0x191
Mar 12 11:03:02 seshat kernel: [<c04b4d0c>] sys_ioctl+0x46/0x66
Mar 12 11:03:02 seshat kernel: [<c04b4d0c>] ? sys_ioctl+0x46/0x66
Mar 12 11:03:02 seshat kernel: [<c0403f92>] syscall_call+0x7/0xb
Comment 3 Saikat Guha 2009-03-12 11:22:46 EDT
Created attachment 334951 [details]
~/.xsession-errors
Comment 4 Adam Williamson 2009-03-12 16:07:27 EDT
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2009-06-09 08:09:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Matěj Cepl 2009-11-05 13:23:04 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Matěj Cepl 2010-02-26 07:23:46 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 9 Bug Zapper 2010-04-27 09:10:03 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 07:27:20 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.